igeo

## Interface IIntegerI

- All Superinterfaces:
    IIntegerOp, IParameter, IScalar, IVal
  All Known Implementing Classes:
    IInteger, IIntegerR

      public interface IIntegerI
      extends IIntegerOp

  Interface of integer to be used as IParameterObject.
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IIntegerI` | `add(IIntegerI v)`
    `IIntegerI` | `add(int v)`
    `IIntegerI` | `cp()` alias of dup()
    `IIntegerI` | `cp(IIntegerI v)` duplicate and add
    `IIntegerI` | `cp(int v)` duplicate and add
    `IIntegerI` | `div(IIntegerI v)`
    `IIntegerI` | `div(int v)`
    `IIntegerI` | `dup()`
    `boolean` | `eq(IIntegerI v)`
    `boolean` | `eq(int v)`
    `boolean` | `eq(ISwitchE e, IIntegerI v)`
    `IBoolI` | `eq(ISwitchR r, IIntegerI v)`
    `IInteger` | `get()`
    `IIntegerI` | `getX()`
    `IIntegerI` | `mod(IIntegerI v)`
    `IIntegerI` | `mod(int v)`
    `IIntegerI` | `mul(IIntegerI v)`
    `IIntegerI` | `mul(int v)`
    `IIntegerI` | `neg()`
    `IIntegerI` | `set(double v)`
    `IIntegerI` | `set(IDoubleI v)`
    `IIntegerI` | `set(IIntegerI v)` convert reference tree to one constant value
    `IIntegerI` | `set(int v)`
    `IIntegerI` | `sub(IIntegerI v)`
    `IIntegerI` | `sub(int v)`
    `int` | `x()`

- - ### Method Detail

    - #### x

          int x()

      Specified by:
        `x` in interface `IIntegerOp`
      Returns:
        Primitive value.

    - #### get

          IInteger get()

      Specified by:
        `get` in interface `IIntegerOp`
      Specified by:
        `get` in interface `IParameter`
      Returns:
        Fixed value but in wrapper class.

    - #### getX

          IIntegerI getX()

      Returns:
        Generic parameter of the value (either of entity class or reference class).

    - #### dup

          IIntegerI dup()

      Returns:
        Duplicated instance.

    - #### cp

          IIntegerI cp()

      alias of dup()

    - #### cp

          IIntegerI cp(int v)

      duplicate and add

    - #### cp

          IIntegerI cp(IIntegerI v)

      duplicate and add

    - #### set

          IIntegerI set(IIntegerI v)

      convert reference tree to one constant value

    - #### set

          IIntegerI set(int v)

    - #### set

          IIntegerI set(double v)

    - #### set

          IIntegerI set(IDoubleI v)

    - #### add

          IIntegerI add(IIntegerI v)

    - #### add

          IIntegerI add(int v)

    - #### sub

          IIntegerI sub(IIntegerI v)

    - #### sub

          IIntegerI sub(int v)

    - #### mul

          IIntegerI mul(IIntegerI v)

    - #### mul

          IIntegerI mul(int v)

    - #### div

          IIntegerI div(IIntegerI v)

    - #### div

          IIntegerI div(int v)

    - #### neg

          IIntegerI neg()

    - #### mod

          IIntegerI mod(IIntegerI v)

    - #### mod

          IIntegerI mod(int v)

    - #### eq

          boolean eq(int v)

    - #### eq

          boolean eq(IIntegerI v)

    - #### eq

          boolean eq(ISwitchE e,
                     IIntegerI v)

    - #### eq

          IBoolI eq(ISwitchR r,
                    IIntegerI v)